<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."error_reports/locale/".$settings['locale'].".php")) {
	include INFUSIONS."error_reports/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."error_reports/locale/English.php";
}

if (iMEMBER) {

if (!isset($step)) $step = "";

if (isset($_POST['submit_error'])) {
	$error_summary = stripinput($_POST['error_summary']);
	$error_version = stripinput($_POST['error_version']);
	$error_description = stripinput($_POST['error_description']);
	if ($error_summary != "" && $error_description != "") {
		$result = dbquery("INSERT INTO ".$db_prefix."error_reports VALUES('', '".$userdata['user_id']."', '$error_summary', '$error_version', '$error_description', '', '".$locale['err142']."', '".time()."')");
	}
	redirect(FUSION_SELF);
}
if ($step == "view") {
	include INCLUDES."comments_include.php";
	if (!$error_id || !isNum($error_id)) fallback(FUSION_SELF);
	opentable($locale['err110']);
	$data = dbarray(dbquery(
		"SELECT ter.*, user_id,user_name FROM ".$db_prefix."error_reports ter
		LEFT JOIN ".$db_prefix."users tusr ON ter.error_user=tusr.user_id
		WHERE error_id='".$error_id."'"
	));
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2'><b>".$data['error_summary']."</b></td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err111']."</td>
<td class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> -
".strftime($settings['longdate'], $data['error_datestamp']+($settings['timeoffset']*3600))."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err112']."</td>
<td class='tbl1'>".$data['error_version']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err113']."</td>
<td class='tbl1'>".nl2br($data['error_description'])."</td>
</tr>\n";
	if ($data['error_response']) {
		echo "<tr>
<td width='125' class='tbl2'>".$locale['err114']."</td>
<td class='tbl1'>".nl2br($data['error_response'])."</td>
</tr>\n";
	}
	echo "<tr>
<td width='125' class='tbl2'>".$locale['err115']."</td>
<td class='tbl1'>".$data['error_status']."</td>
</tr>
</table>\n";
	closetable();
	showcomments("E","error_reports","error_id",$error_id,FUSION_SELF."?step=view&error_id=$error_id","");
	tablebreak();
}
opentable($locale['err120']);
$result = dbquery(
	"SELECT ter.*, user_id,user_name, COUNT(comment_item_id) AS error_comments
	FROM ".$db_prefix."error_reports ter
	LEFT JOIN ".$db_prefix."users tusr ON ter.error_user=tusr.user_id
	LEFT JOIN ".$db_prefix."comments ON ter.error_id=comment_item_id AND comment_type='E'
	GROUP BY error_id ORDER BY error_datestamp DESC"
);
if (dbrows($result)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td align='center' width='75' class='tbl2'>".$locale['err121']."</td>
<td class='tbl2'>".$locale['err122']."</td>
<td align='center' width='125' class='tbl2'>".$locale['err111']."</td>
<td align='center' width='125' class='tbl2'>".$locale['err115']."</td>
<td align='center' width='75' class='tbl2'>".$locale['err116']."</td>
</tr>\n";
	while ($data = dbarray($result)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr>
<td align='center' class='$tclass'>".$data['error_id']."</td>
<td class='$tclass'><a href='".FUSION_SELF."?step=view&error_id=".$data['error_id']."'>".$data['error_summary']."</a>
<span class='small2'>[".$data['error_version']."]</span></td>
<td align='center' class='$tclass'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
<td align='center' class='$tclass'>".$data['error_status']."</td>
<td align='center' class='$tclass'>".$data['error_comments']."</td>
</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['err123']."<br><br>\n</center>\n";
}
closetable();
tablebreak();
opentable($locale['err130']);
echo "<form name='reportform' method='post' action='".FUSION_SELF."'>
".$locale['err135']."
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td>".$locale['err131']."</td>
<td><input type='text' name='error_summary' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<td>".$locale['err132']."</td>
<td><input type='text' name='error_version' value='6.0' class='textbox' style='width:140px;'>
<span class='small2'>".$locale['err133']."</span></td>
</tr>
<tr>
<td valign='top'>".$locale['err134']."</td>
<td><textarea name='error_description' rows='5' class='textbox' style='width:300px;'></textarea></td>
</tr>
<tr>
<td align='center' colspan='2'>
<input type='submit' name='submit_error' value='".$locale['err130']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

} else {
	opentable($locale['err120']);
	echo "<center><br>\n".$locale['err124']."<br><br>\n</center>\n";
	closetable();
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>