<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."error_reports/locale/".$settings['locale'].".php")) {
	include INFUSIONS."error_reports/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."error_reports/locale/English.php";
}

if (!checkRights("IP")) fallback("../index.php");

if (!isset($step)) $step = "";

if (isset($_POST['submit_response'])) {
	if (!$error_id || !isNum($error_id)) fallback(FUSION_SELF);
	$error_response = stripinput($_POST['error_response']);
	$error_status = stripinput($_POST['error_status']);
	$result = dbquery("UPDATE ".$db_prefix."error_reports SET error_response='$error_response', error_status='$error_status' WHERE error_id='$error_id'");
	redirect(FUSION_SELF);
}
if ($step == "delete") {
	$result = dbquery("DELETE FROM ".$db_prefix."error_reports WHERE error_id='$error_id'");
	$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_type='E' AND comment_item_id='$error_id'");
	redirect(FUSION_SELF);
}
if ($step == "view") {
	if (!$error_id || !isNum($error_id)) fallback(FUSION_SELF);
	opentable($locale['err110']);
	$data = dbarray(dbquery(
		"SELECT ter.*, user_id,user_name FROM ".$db_prefix."error_reports ter
		LEFT JOIN ".$db_prefix."users tusr ON ter.error_user=tusr.user_id
		WHERE error_id='".$error_id."'"
	));
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2'><b>".$data['error_summary']."</b></td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err111']."</td>
<td class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> -
".strftime($settings['longdate'], $data['error_datestamp']+($settings['timeoffset']*3600))."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err112']."</td>
<td class='tbl1'>".$data['error_version']."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err113']."</td>
<td class='tbl1'>".nl2br($data['error_description'])."</td>
</tr>
</tr>\n";
	if ($data['error_response']) {
		echo "<tr>
<td width='125' class='tbl2'>".$locale['err114']."</td>
<td class='tbl1'>".nl2br($data['error_response'])."</td>
</tr>\n";
	}
	echo "<tr>
<td width='125' class='tbl2'>".$locale['err115']."</td>
<td class='tbl1'>".$data['error_status']."</td>
</tr>
</table>\n";
	closetable();
	tablebreak();
	opentable($locale['err160']);
	echo "<form name='responseform' method='post' action='".FUSION_SELF."?error_id=$error_id'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td valign='top'>".$locale['err161']."</td>
<td><textarea name='error_response' rows='5' class='textbox' style='width:300px;'>".$data['error_response']."</textarea></td>
</tr>
<tr>
<td>Status:</td>
<td><select name='error_status' class='textbox'>
<option".($data['error_status'] == $locale['err162'] ? " selected" : "").">".$locale['err162']."</option>
<option".($data['error_status'] == $locale['err163'] ? " selected" : "").">".$locale['err163']."</option>
<option".($data['error_status'] == $locale['err164'] ? " selected" : "").">".$locale['err164']."</option>
</select></td>
<tr>
<td align='center' colspan='2'>
<input type='submit' name='submit_response' value='".$locale['err160']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
}
opentable($locale['err120']);
$result = dbquery(
	"SELECT ter.*, user_id,user_name FROM ".$db_prefix."error_reports ter
	LEFT JOIN ".$db_prefix."users tusr ON ter.error_user=tusr.user_id
	ORDER BY error_datestamp DESC"
);
if (dbrows($result)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td align='center' width='75' class='tbl2'>".$locale['err121']."</td>
<td class='tbl2'>".$locale['err122']."</td>
<td align='center' width='150' class='tbl2'>".$locale['err111']."</td>
<td align='center' width='150' class='tbl2'>".$locale['err115']."</td>
<td align='center' width='100' class='tbl2'>".$locale['err150']."</td>
</tr>\n";
	while ($data = dbarray($result)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr>
<td align='center' class='$tclass'>".$data['error_id']."</td>
<td class='$tclass'><a href='".FUSION_SELF."?step=view&error_id=".$data['error_id']."'>".$data['error_summary']."</a>
<span class='small2'>[".$data['error_version']."]</span></td>
<td align='center' class='$tclass'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
<td align='center' class='$tclass'>".$data['error_status']."</td>
<td align='center' class='$tclass'><a href='".FUSION_SELF."?step=delete&error_id=".$data['error_id']."'>".$locale['err151']."</a></td>
</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['err123']."<br><br>\n</center>\n";
}
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>