<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."error_reports/locale/".$settings['locale'].".php")) {
	include INFUSIONS."error_reports/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."error_reports/locale/English.php";
}

// Infusion Information
$inf_title = $locale['err100'];
$inf_description = $locale['err101'];
$inf_version = "2.0";
$inf_developer = "Digitanium";
$inf_email = "digitanium@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.co.uk";

$inf_folder = "error_reports";
$inf_admin_image = "infusion_panel.gif";
$inf_admin_panel = "error_reports_admin.php";

$inf_link_name = $locale['err102'];
$inf_link_url = "error_reports.php";
$inf_link_visibility = "101";

$inf_newtables = 1;
$inf_insertdbrows = 0;
$inf_altertables = 0;
$inf_deldbrows = 1;

$inf_newtable_[1] = "error_reports (
error_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
error_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
error_summary VARCHAR(200) DEFAULT '' NOT NULL,
error_version VARCHAR(50) DEFAULT '5' NOT NULL,
error_description TEXT NOT NULL,
error_response TEXT NOT NULL,
error_status VARCHAR(100) DEFAULT 'Awaiting Response' NOT NULL,
error_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (error_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "error_reports";

$inf_altertable_[1] = "error_reports ADD etc";

$inf_deldbrow_[1] = "comments WHERE comment_type='E'";
?>